Retrieve a product (synchronous API)

Get an individual or base product information

get

Provide detailed information on the individual product or base product. If the product is a base product, the response provides the product variation URLs for that base product, instead of the entire details for each product variation.

Authorizations
AuthorizationstringRequired

For system access use case, use API key/secret in the Authorization header, the API key should be set up with sufficient role.

Path parameters
productIdstringRequired

The product identifier of either an individual product or a base product.

Query parameters
versionstring · enumOptional

Get the specific version of the product by state.

Possible values:
Header parameters
x-erid-as-pidbooleanOptional

Set to true if you want to use the external reference identifier (ERID) in the path instead of the product identifier (productId).

Responses
chevron-right
200

Successful response.

application/json
productTypestring · enumOptional

Indicates the type of product as either an individual or base product. A base product has one or more product variations such as different colors, sizes, or versions. An individual product a single item or many single items sold as a single product (such as a colection or box set.

Possible values:
companyIdstringOptional

The company identifier.

Example: digitalriver
siteIdsstring[]Optional

The site identifier.

Example: ["domoSite1","domoSite2"]
idstringOptional

The individual product identifier or base product identifier for the product.

Example: 1234567800
statestring · enumOptional

The status of the product.

  • Deployed: The current product setup is the same product setup that is available for sale on your store.
  • Design: The current product setup (also called in the version) has not yet been deployed to your store.
  • Retired: The version of the product cannot be purchased or seen on your store.
  • Deployed: Pending Start: This state appears when a future Start Date is set for base, individual or variation product, and also the product is deployed. Meaning there is a version that is available for sale on your store. And there is another newer version will be available for sale on your store when the Start Date arrived.
  • Deployed: Partially Started: This state appears when the base product is now ready for sale, but a future Start Date is set for any of its variations, and also the product is deployed.
Possible values:
lockedbooleanOptional

When the product is locked, the product is not editable.

Example: false
versionintegerOptional

Version of the product.

Example: 1
get
/v1/products/{productId}

Get the locale information for an individual or base product

get

Get the localized locale information for an individual or base product. The product identifier should be for an individual or base product.

Authorizations
AuthorizationstringRequired

For system access use case, use API key/secret in the Authorization header, the API key should be set up with sufficient role.

Path parameters
productIdstringRequired

The product identifier of either an individual product or a base product.

localestringRequired

The locale for the product.

Query parameters
versionstring · enumOptional

Get the specific version of the product by state.

Possible values:
Header parameters
x-erid-as-pidbooleanOptional

Set to true if you want to use the external reference identifier (ERID) in the path instead of the product identifier (productId).

Responses
chevron-right
200

Successful response.

application/json
productTypestring · enumOptional

Indicates the type of product as either an individual or base product. A base product has one or more product variations such as different colors, sizes, or versions. An individual product a single item or many single items sold as a single product (such as a colection or box set.

Possible values:
companyIdstringOptional

The company identifier.

Example: digitalriver
siteIdsstring[]Optional

The site identifier.

Example: ["domoSite1","domoSite2"]
idstringOptional

The individual product identifier or base product identifier for the product.

Example: 1234567800
statestring · enumOptional

The status of the product.

  • Deployed: The current product setup is the same product setup that is available for sale on your store.
  • Design: The current product setup (also called in the version) has not yet been deployed to your store.
  • Retired: The version of the product cannot be purchased or seen on your store.
  • Deployed: Pending Start: This state appears when a future Start Date is set for base, individual or variation product, and also the product is deployed. Meaning there is a version that is available for sale on your store. And there is another newer version will be available for sale on your store when the Start Date arrived.
  • Deployed: Partially Started: This state appears when the base product is now ready for sale, but a future Start Date is set for any of its variations, and also the product is deployed.
Possible values:
lockedbooleanOptional

When the product is locked, the product is not editable.

Example: false
versionintegerOptional

Version of the product.

Example: 1
get
/v1/products/{productId}/locales/{locale}

Get the product variation information

get

Provide detailed information for a specific product variation.

Authorizations
AuthorizationstringRequired

For system access use case, use API key/secret in the Authorization header, the API key should be set up with sufficient role.

Path parameters
baseProductIdstringRequired

The base product identifier must be for the base product for the product variation, or simply use 'product' instead.

Example: product
variationIdstringRequired

The product variation identifier.

Query parameters
versionstring · enumOptional

Get the specific version of the product by state.

Possible values:
Header parameters
x-erid-as-pidbooleanOptional

Set to true if you want to use the external reference identifier (ERID) in the path instead of the product identifier (productId).

Responses
chevron-right
200

Successful response.

application/json
productTypestring · enumOptionalPossible values:
companyIdstringOptional

The company identifier.

Example: digitalriver
siteIdsstring[]Optional

The site identifier.

Example: ["domoSite1","domoSite2"]
idstringOptional

The product variation identifier.

Example: 1234567900
statestring · enumOptional

The status of the product.

  • Deployed: The current product setup is the same product setup that is available for sale on your store.
  • Design: The current product setup (also called in the version) has not yet been deployed to your store.
  • Retired: The version of the product cannot be purchased or seen on your store.
  • Deployed: Pending Start: This state appears when a future Start Date is set for base, individual or variation product, and also the product is deployed. Meaning there is a version that is available for sale on your store. And there is another newer version will be available for sale on your store when the Start Date arrived.
  • Deployed: Partially Started: This state appears when the base product is now ready for sale, but a future Start Date is set for any of its variations, and also the product is deployed.
Possible values:
lockedbooleanOptional

When the product is locked, the product is not editable.

Example: false
versionintegerOptional

Version of the product.

Example: 1
variationNamestringOptional

The product variation name

Example: Business, 1-year-license
baseProductIdstringOptional

The base product identifier for the variation.

Example: 1234567800
get
/v1/products/{baseProductId}/variations/{variationId}

Get the locale information for a product variation

get

Get the locale information for a product variation.

Authorizations
AuthorizationstringRequired

For system access use case, use API key/secret in the Authorization header, the API key should be set up with sufficient role.

Path parameters
baseProductIdstringRequired

The base product identifier must be for the base product for the product variation, or simply use 'product' instead.

Example: product
variationIdstringRequired

The product variation identifier.

localestringRequired

The locale for the product.

Query parameters
versionstring · enumOptional

Get the specific version of the product by state.

Possible values:
Header parameters
x-erid-as-pidbooleanOptional

Set to true if you want to use the external reference identifier (ERID) in the path instead of the product identifier (productId).

Responses
chevron-right
200

Successful response.

application/json
productTypestring · enumOptionalPossible values:
companyIdstringOptional

The company identifier.

Example: digitalriver
siteIdsstring[]Optional

The site identifier.

Example: ["domoSite1","domoSite2"]
idstringOptional

The product variation identifier.

Example: 1234567900
statestring · enumOptional

The status of the product.

  • Deployed: The current product setup is the same product setup that is available for sale on your store.
  • Design: The current product setup (also called in the version) has not yet been deployed to your store.
  • Retired: The version of the product cannot be purchased or seen on your store.
  • Deployed: Pending Start: This state appears when a future Start Date is set for base, individual or variation product, and also the product is deployed. Meaning there is a version that is available for sale on your store. And there is another newer version will be available for sale on your store when the Start Date arrived.
  • Deployed: Partially Started: This state appears when the base product is now ready for sale, but a future Start Date is set for any of its variations, and also the product is deployed.
Possible values:
lockedbooleanOptional

When the product is locked, the product is not editable.

Example: false
versionintegerOptional

Version of the product.

Example: 1
variationNamestringOptional

The product variation name

Example: Business, 1-year-license
baseProductIdstringOptional

The base product identifier for the variation.

Example: 1234567800
get
/v1/products/{baseProductId}/variations/{variationId}/locales/{locale}

Last updated